Get a delivery of a hook in a repository
GET
/repos/{owner}/{repo}/hooks/{id}/deliveries/{uuid}
const url = 'https://gitea.com/api/v1/repos/example/example/hooks/1/deliveries/example';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.com/api/v1/repos/example/example/hooks/1/deliveries/example \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
id
required
integer format: int64
Id of the hook
uuid
required
string
Uuid of the delivery
Responses
Section titled “Responses”HookDelivery
Media typeapplication/json
HookDelivery
Represents a single delivery attempt for a webhook
object
delivered_at
The date and time when the delivery was sent
string format: date-time
event_type
The event type that triggered this delivery
string
is_delivered
Whether the delivery has been sent
boolean
is_succeeded
Whether the delivery was successful (2xx response)
boolean
request
HookDeliveryRequest
Represents the request information of a webhook delivery
object
body
The body sent with the delivery
string
headers
The headers sent with the delivery
object
key
additional properties
string
http_method
The HTTP method used for the delivery
string
url
The URL the delivery was sent to
string format: uri
response
HookDeliveryResponse
Represents the response information of a webhook delivery
object
body
The body received in the response
string
headers
The headers received in the response
object
key
additional properties
string
status
The HTTP status code of the response
integer format: int64
uuid
The unique identifier of the delivery
string
Example generated
{ "delivered_at": "2026-04-15T12:00:00Z", "event_type": "example", "is_delivered": true, "is_succeeded": true, "request": { "body": "example", "headers": { "additionalProperty": "example" }, "http_method": "example", "url": "https://example.com" }, "response": { "body": "example", "headers": { "additionalProperty": "example" }, "status": 1 }, "uuid": "example"}APINotFound is a not found empty response